Bug 1633937 - Manifest refresh fails with error "Failed to import archive"
Summary: Manifest refresh fails with error "Failed to import archive"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Candlepin
Version: 6.3.3
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On: 1634040 1643582
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-28 07:19 UTC by matt jia
Modified: 2019-10-07 17:18 UTC (History)
15 users (show)

Fixed In Version: candlepin-2.1.25-1, candlepin-2.4.9-1, candlepin-2.5.7-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1634040 1643582 1684691 (view as bug list)
Environment:
Last Closed: 2019-05-14 12:38:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:19 UTC
Red Hat Knowledge Base (Solution) 3774091 None None None 2018-12-25 12:01:40 UTC

Description matt jia 2018-09-28 07:19:07 UTC
Description of problem:

Manifest refresh fails with error "Failed to import archive":


rg.quartz.JobExecutionException: javax.persistence.EntityExistsException: A different object with the same identifier value was already associated with the session : [org.candlepin.model.Entitlement#b513240a06144eecb05af38a9a3fc6f1]
        at org.candlepin.pinsetter.tasks.KingpinJob.refireCheck(KingpinJob.java:143) ~[KingpinJob.class:na]
        at org.candlepin.pinsetter.tasks.KingpinJob.execute(KingpinJob.java:111) ~[KingpinJob.class:na]
        at org.quartz.core.JobRunShell.run(JobRunShell.java:202) ~[quartz-2.2.1.jar:na]
        at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573) [quartz-2.2.1.jar:na]
Caused by: javax.persistence.EntityExistsException: A different object with the same identifier value was already associated with the session : [org.candlepin.model.Entitlement#b513240a06144eecb05af38a9a3fc6f1]

Version-Release number of selected component (if applicable):

6.3.3


How reproducible:

Hard as it only happens on cus's side

Actual results:

Manifest refresh fails with error "Failed to import archive"

Expected results:

Manifest can be refreshed.

Comment 15 Mike McCune 2019-03-01 22:16:34 UTC
This bug was cloned and is still going to be included in the 6.4.3 release. It no longer has the sat-6.4.z+ flag and 6.4.3 Target Milestone Set which are now on the 6.4.z cloned bug. Please see the Clones field to track the progress of this bug in the 6.4.3 release.

Comment 22 jcallaha 2019-04-11 15:03:30 UTC
With a hotfix successfully delivered, and no way to reproduce, I am marking this bug verified under no-break conditions.

Comment 25 errata-xmlrpc 2019-05-14 12:38:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.